#!HEAD: main2-MERCURY_FLYBY_1_XOR_001_M62 2021-08-11 06:42:03 465        45 MMO                  MAIN2               // Earth Fly-by                
0001  . # LET                  @ONERR=NEXT                   
0002  . # ==========================================================================
0003    #  <startTime>2021-09-29T21:00:00Z</startTime>
0004    #  <stopTime>2021-10-02T23:54:00Z</stopTime>
0005    #  << XDOR:XDOR_BJXR_C954_CRCO_M620401_00001.BC >> AM*****
0006    #  << XOR:XOR__BJXR_C954_CRCO_M620401_00001.BC >> *****
0007    # ==========================================================================
0008    # ==========================================================================
0009  . #  EXEC_AT 2021-09-29 21:00:00
0010    # 
0011    # ==========================================================================
0012    # 0. MMO MOSIF Heater &  Switch to Standby Mode
0013    # ==========================================================================
0014    #
0015    # MMO Operational Heater Control Start
0016    # <forMPO>AJXF017A</forMPO>     
0017    WAIT_SEC             42600                   
0018    #
0019    # MMO Switch to Standby Mode (main)
0020    # <forMPO>AJXF001A</forMPO> 
0021    WAIT_SEC             360                   
0022    #
0023    # MMO Set HK rate to 64 second
0024    # <forMPO>AJXF005A</forMPO> 
0025    WAIT_SEC              240                   
0026    #
0027    # ==========================================================================
0028    # 01. BUS ON    START 2021/9/30 09:00:00
0029    # ==========================================================================
0030    #
0031    CALL dcsm-EF_BUS_MONI_ON -Run                   
0032    #
0033    # ==========================================================================
0034    # 02. MDP ON
0035    # ==========================================================================
0036    #
0037    CALL dcsm-EF_MDP_ON -Run                   
0038    #
0039    # ==========================================================================
0040    # 03. TLM MODE 10 (Mission: 4kbps, with user HK)
0041    # ==========================================================================
0042    #
0043    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0044    #
0045    CALL dcsm-EF_MSA_ON_C -Run                   
0046    #
0047    WAIT_SEC             3600                   
0048    #
0049    CALL dcsm-EF_MSA_OFF -Run                   
0050    #
0051    # ==========================================================================
0052    # 04. MDP OFF
0053    # ==========================================================================
0054    #
0055    CALL dcsm-EF_MDP_POWEROFF -Run                   
0056    #
0057    # ==========================================================================
0058    # 05. MDP ON
0059    # ==========================================================================
0060    #
0061    CALL dcsm-EF_MDP_ON -Run                   
0062    #
0063    CALL dcsm-EF_MSA_ON_C -Run                   
0064    #
0065    CALL dcsm-EF_MDP_CRUISE_SET -Run                   
0066    #
0067    WAIT_SEC             41291                   
0068    #
0069    # ==========================================================================
0070    # 06.  PI POWER ON
0071    # ==========================================================================
0072    #
0073    CALL dcsm-EF_PME_ON -Run                   
0074    #
0075    CALL dcsm-EF_PWI_ON_CRUISE -Run                   
0076    #
0077    CALL dcsm-EF_MGF_ON -Run                   
0078    #
0079    CALL dcsm-EF_MEA_ON_SW -Run                   
0080    #
0081    CALL dcsm-EF_ENA_power_ON -Run                   
0082    #
0083    CALL dcsm-EF_MIA_ON -Run                   
0084    #
0085    CALL dcsm-EF_HEP_ON_START_for_TL -Run                   
0086    #
0087    CALL dcsm-EF_MDM_ON -Run                   
0088    #
0089    # ==========================================================================
0090    # 07. WOL#1
0091    # ==========================================================================
0092    #
0093    WAIT_SEC 1800                   
0094    #
0095    # ==========================================================================
0096    # 08.  PI HV ON
0097    # ==========================================================================
0098    #
0099    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0100    #
0101    CALL dcsm-EF_ENA_HV_ON_H -Run                   
0102    #
0103    CALL dcsm-EF_MIA_HV_ON_RC -Run                   
0104    #
0105    CALL dcsm-EF_MEA_HV_ON -Run                   
0106    #
0107    CALL dcsm-EF_MSA_HV_ON_1_VFB -Run                   
0108    #
0109    CALL dcsm-EF_MSA_HV_ON_2_VFB -Run                   
0110    #
0111    # ==========================================================================
0112    # 09. TLM MODE 5  (Mission: 7kbps, without user HK)
0113    # ==========================================================================
0114    #
0115    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0116    #
0117    # ==========================================================================
0118    # 10. Observation A
0119    # ==========================================================================
0120    #
0121    WAIT_SEC 31098                   
0122    #
0123    # ==========================================================================
0124    # 11. TLM MODE 10 (Mission: 4kbps, with user HK)
0125    # ==========================================================================
0126    #
0127    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0128    #
0129    # ==========================================================================
0130    # 12. PI HV OFF
0131    # ==========================================================================
0132    #
0133    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0134    #
0135    CALL dcsm-EF_ENA_HV_OFF -Run                   
0136    #
0137    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0138    #
0139    CALL dcsm-EF_MIA_HV_OFF -Run                   
0140    #
0141    CALL dcsm-EF_MEA_HV_OFF -Run                   
0142    #
0143    # ==========================================================================
0144    # 13. WOL#2
0145    # ==========================================================================
0146    #
0147    WAIT_SEC 1800                   
0148    #
0149    # ==========================================================================
0150    # 14.  PI HV ON
0151    # ==========================================================================
0152    #
0153    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0154    #
0155    CALL dcsm-EF_ENA_HV_ON_H -Run                   
0156    #
0157    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0158    #
0159    CALL dcsm-EF_MEA_HV_ON -Run                   
0160    #
0161    CALL dcsm-EF_MSA_HV_ON_1_VFB -Run                   
0162    #
0163    CALL dcsm-EF_MSA_HV_ON_2_VFB -Run                   
0164    #
0165    # ==========================================================================
0166    # 15. TLM MODE 5  (Mission: 7kbps, without user HK)
0167    # ==========================================================================
0168    #
0169    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0170    #
0171    # ==========================================================================
0172    # 16. Observation B
0173    # ==========================================================================
0174    #
0175    WAIT_SEC 11316                   
0176    #
0177    # ==========================================================================
0178    # 17. TLM MODE 10 (Mission: 4kbps, with user HK)
0179    # ==========================================================================
0180    #
0181    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0182    #
0183    # ==========================================================================
0184    # 18. PI HV OFF
0185    # ==========================================================================
0186    #
0187    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0188    #
0189    CALL dcsm-EF_ENA_HV_OFF -Run                   
0190    #
0191    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0192    #
0193    CALL dcsm-EF_MIA_HV_OFF -Run                   
0194    #
0195    CALL dcsm-EF_MEA_HV_OFF -Run                   
0196    #
0197    # ==========================================================================
0198    # 19. WOL#3
0199    # ==========================================================================
0200    #
0201    WAIT_SEC 1800                   
0202    #
0203    # ==========================================================================
0204    # 20.  PI HV ON
0205    # ==========================================================================
0206    #
0207    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0208    #
0209    CALL dcsm-EF_ENA_HV_ON_H -Run                   
0210    #
0211    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0212    #
0213    CALL dcsm-EF_MEA_HV_ON -Run                   
0214    #
0215    CALL dcsm-EF_MSA_HV_ON_1_VFB -Run                   
0216    #
0217    CALL dcsm-EF_MSA_HV_ON_2_VFB -Run                   
0218    #
0219    # ==========================================================================
0220    # 21. TLM MODE 5  (Mission: 7kbps, without user HK)
0221    # ==========================================================================
0222    #
0223    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0224    #
0225    # ==========================================================================
0226    # 22. Observation C
0227    # ==========================================================================
0228    #
0229    WAIT_SEC 816                   
0230    #
0231    # ==========================================================================
0232    # 23. TLM MODE 10 (Mission: 4kbps, with user HK)
0233    # ==========================================================================
0234    #
0235    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0236    #
0237    # ==========================================================================
0238    # 24. PI HV OFF
0239    # ==========================================================================
0240    #
0241    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0242    #
0243    CALL dcsm-EF_ENA_HV_OFF -Run                   
0244    #
0245    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0246    #
0247    CALL dcsm-EF_MIA_HV_OFF -Run                   
0248    #
0249    CALL dcsm-EF_MEA_HV_OFF -Run                   
0250    #
0251    # ==========================================================================
0252    # 25. WOL#4
0253    # ==========================================================================
0254    #
0255    WAIT_SEC 1800                   
0256    #
0257    # ==========================================================================
0258    # 26.  PI HV ON
0259    # ==========================================================================
0260    #
0261    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0262    #
0263    CALL dcsm-EF_ENA_HV_ON_H -Run                   
0264    #
0265    CALL dcsm-EF_MIA_HV_ON_MAG_RC -Run                   
0266    #
0267    CALL dcsm-EF_MEA_HV_ON -Run                   
0268    #
0269    CALL dcsm-EF_MSA_HV_ON_1_VFB -Run                   
0270    #
0271    CALL dcsm-EF_MSA_HV_ON_2_VFB -Run                   
0272    #
0273    # ==========================================================================
0274    # 27. TLM MODE 5  (Mission: 7kbps, without user HK)
0275    # ==========================================================================
0276    #
0277    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0278    #
0279    # ==========================================================================
0280    # 28. Observation D
0281    # ==========================================================================
0282    #
0283    WAIT_SEC 2016                   
0284    #
0285    # ==========================================================================
0286    # 29. TLM MODE 10 (Mission: 4kbps, with user HK)
0287    # ==========================================================================
0288    #
0289    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0290    #
0291    # ==========================================================================
0292    # 30. PI HV OFF
0293    # ==========================================================================
0294    #
0295    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0296    #
0297    CALL dcsm-EF_ENA_HV_OFF -Run                   
0298    #
0299    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0300    #
0301    CALL dcsm-EF_MIA_HV_OFF -Run                   
0302    #
0303    CALL dcsm-EF_MEA_HV_OFF -Run                   
0304    #
0305    # ==========================================================================
0306    # 31. WOL#5
0307    # ==========================================================================
0308    #
0309    WAIT_SEC 1800                   
0310    #
0311    # ==========================================================================
0312    # 32.  PI HV ON
0313    # ==========================================================================
0314    #
0315    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0316    #
0317    CALL dcsm-EF_ENA_HV_ON_H -Run                   
0318    #
0319    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0320    #
0321    CALL dcsm-EF_MEA_HV_ON -Run                   
0322    #
0323    CALL dcsm-EF_MSA_HV_ON_1_VFB -Run                   
0324    #
0325    CALL dcsm-EF_MSA_HV_ON_2_VFB -Run                   
0326    #
0327    # ==========================================================================
0328    # 33. TLM MODE 5  (Mission: 7kbps, without user HK)
0329    # ==========================================================================
0330    #
0331    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0332    #
0333    # ==========================================================================
0334    # 34. Observation E
0335    # ==========================================================================
0336    #
0337    WAIT_SEC 23916                   
0338    #
0339    # ==========================================================================
0340    # 35. TLM MODE 10 (Mission: 4kbps, with user HK)
0341    # ==========================================================================
0342    #
0343    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0344    #
0345    # ==========================================================================
0346    # 36. PI HV OFF
0347    # ==========================================================================
0348    #
0349    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0350    #
0351    CALL dcsm-EF_ENA_HV_OFF -Run                   
0352    #
0353    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0354    #
0355    CALL dcsm-EF_MIA_HV_OFF -Run                   
0356    #
0357    CALL dcsm-EF_MEA_HV_OFF -Run                   
0358    #
0359    # ==========================================================================
0360    # 37. WOL#6
0361    # ==========================================================================
0362    #
0363    WAIT_SEC 1800                   
0364    #
0365    # ==========================================================================
0366    # 38.  PI HV ON
0367    # ==========================================================================
0368    #
0369    CALL dcsm-EF_HEPE_HV_ON_OBS_START -Run                   
0370    #
0371    CALL dcsm-EF_ENA_HV_ON_H -Run                   
0372    #
0373    CALL dcsm-EF_MIA_HV_ON_SW_RC -Run                   
0374    #
0375    CALL dcsm-EF_MEA_HV_ON -Run                   
0376    #
0377    CALL dcsm-EF_MSA_HV_ON_1_VFB -Run                   
0378    #
0379    CALL dcsm-EF_MSA_HV_ON_2_VFB -Run                   
0380    #
0381    # ==========================================================================
0382    # 39. TLM MODE 5  (Mission: 7kbps, without user HK)
0383    # ==========================================================================
0384    #
0385    CALL dcsm-EF_BUS_TLM_MODE_5 -Run                   
0386    #
0387    # ==========================================================================
0388    # 40. Observation F
0389    # ==========================================================================
0390    #
0391    WAIT_SEC 29372                   
0392    #
0393    # ==========================================================================
0394    # 41. TLM MODE 10 (Mission: 4kbps, with user HK)
0395    # ==========================================================================
0396    #
0397    CALL dcsm-EF_BUS_TLM_MODE_10 -Run                   
0398    #
0399    # ==========================================================================
0400    # 42. PI HV OFF
0401    # ==========================================================================
0402    #
0403    CALL dcsm-EF_HEPE_HV_OFF_OBS_OFF -Run                   
0404    #
0405    CALL dcsm-EF_ENA_HV_OFF -Run                   
0406    #
0407    CALL dcsm-EF_MSA_HV_OFF_VFB -Run                   
0408    #
0409    CALL dcsm-EF_MIA_HV_OFF -Run                   
0410    #
0411    CALL dcsm-EF_MEA_HV_SCAN_OFF -Run                   
0412    #
0413    # ==========================================================================
0414    # 43. PI Power OFF
0415    # ==========================================================================
0416    #
0417    CALL dcsm-EF_HEPE_OFF_STOP -Run                   
0418    #
0419    CALL dcsm-EF_MIA_OFF -Run                   
0420    #
0421    CALL dcsm-EF_ENA_power_OFF -Run                   
0422    #
0423    CALL dcsm-EF_MEA_OFF -Run                   
0424    #
0425    CALL dcsm-EF_MGF_OFF -Run                   
0426    #
0427    CALL dcsm-EF_PWI_OFF -Run                   
0428    #
0429    CALL dcsm-EF_PME_OFF -Run                   
0430    #
0431    CALL dcsm-EF_MSA_OFF -Run                   
0432    #
0433    CALL dcsm-EF_MDM_OFF -Run                   
0434    #
0435    # ==========================================================================
0436    # 44. MDP OFF
0437    # ==========================================================================
0438    #
0439    CALL dcsm-EF_MDP_POWEROFF -Run                   
0440    #
0441    CALL dcsm-MC_ENA_MDP -Run                   
0442    #
0443    # ==========================================================================
0444    # 45. BUS MONI OFF
0445    # ==========================================================================
0446    #
0447    CALL dcsm-EF_BUS_MONI_OFF -Run                   
0448    #
0449    # ==========================================================================
0450    # 99. MMO Dormant Mode
0451    # ==========================================================================
0452    WAIT_SEC             240                   
0453    #
0454    # MMO Set HK rate to 1 second
0455    # <forMPO>AJXF004A</forMPO>
0456    WAIT_SEC             120                   
0457    #
0458    # MMO Switch to Dormant Mode
0459    # <forMPO>AJXF002A</forMPO>
0460    WAIT_SEC             300                   
0461    #
0462    # Return MOSIF heater setting 
0463    # <forMPO>AJXF017B</forMPO>                   
0464    #############################################################################
0465    # ==========================================================================
